package com.shanghaichengdi.common.enums;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName FilterStateEnum
 * @Author Tevin
 * @DATE 2025/1/7 9:09
 * @Description TODO
 **/
public enum FilterStateEnum {
    UNDISPOSED(0, "未确认"),
    CONFIRM(1, "确认预警"),
    CANCEL(2, "取消预警");

    private int statusCode;

    private String desc;

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    FilterStateEnum(int statusCode, String desc) {
        this.desc = desc;
        this.statusCode = statusCode;
    }

    //创建MAP对象
    private static final Map<Integer, String> map = new HashMap<>();

    static {
        //赋值
        for (FilterStateEnum t : EnumSet.allOf(FilterStateEnum.class)) {
            map.put(t.getStatusCode(), t.getDesc());
        }
    }

    public static String getDesc(int statusCode) {
        return map.get(statusCode);
    }
}
