package com.shanghaichengdi.common.enums;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName RelieveTypeEnum
 * @Author Tevin
 * @DATE 2025/1/3 13:43
 * @Description TODO
 **/
public enum RelieveTypeEnum {
    WARNING(0, "预警中"),
    LEAVE_PORT(1, "出港"),
    POLLUTANT_RELEASE(2, "污染物排放"),
    WARNING_EXCEED(3, "预警超5天"),
    SUPERVISION_CHANGE(4, "监管类型变化"),
    MANUAL_CHECK(5, "人工核对解除"),
    VERSION_SWITCH(6, "版本切换解除");


    private int statusCode;

    private String desc;

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    RelieveTypeEnum(int statusCode, String desc) {
        this.desc = desc;
        this.statusCode = statusCode;
    }

    //创建MAP对象
    private static final Map<Integer, String> map = new HashMap<>();

    static {
        //赋值
        for (RelieveTypeEnum t : EnumSet.allOf(RelieveTypeEnum.class)) {
            map.put(t.getStatusCode(), t.getDesc());
        }
    }

    public static String getDesc(int statusCode) {
        return map.get(statusCode);
    }

}

