package com.shanghaichengdi.common.enums;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName SewageTypeEnum
 * @Author Tevin
 * @DATE 2025/1/2 16:43
 * @Description TODO
 **/
public enum SewageTypeEnum {
    OILSEWAGE("oilsewage", "含油污水"),
    SEWAGE("sewage", "生活污水"),
    TOXICLIQUID("toxicliquid", "洗舱水"),
    BADOIL("badoil", "残油废油"),
    RUBBISH("rubbish", "船舱垃圾");

    private String type;

    private String desc;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    SewageTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    //创建MAP对象
    private static final Map<String, String> map = new HashMap<>();

    static {
        //赋值
        for (SewageTypeEnum t : EnumSet.allOf(SewageTypeEnum.class)) {
            map.put(t.getType(), t.getDesc());
        }
    }

    public static String getDesc(String type) {
        return map.get(type);
    }
}
