package com.shanghaichengdi.common.enums;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName WarningStateEnum
 * @Author Tevin
 * @DATE 2025/1/3 11:46
 * @Description TODO
 **/
public enum WarningStateEnum {
    WANNING(0, "预警中"),

    WANNING_RELIEVE(1, "预警解除");


    private int statusCode;

    private String desc;

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    WarningStateEnum(int statusCode, String desc) {
        this.desc = desc;
        this.statusCode = statusCode;
    }

    //创建MAP对象
    private static final Map<Integer, String> map = new HashMap<>();

    static {
        //赋值
        for (WarningStateEnum t : EnumSet.allOf(WarningStateEnum.class)) {
            map.put(t.getStatusCode(), t.getDesc());
        }
    }

    public static String getDesc(int statusCode) {
        return map.get(statusCode);
    }

}
