package com.shanghaichengdi.common.exception;

import com.shanghaichengdi.common.result.IResultCode;
import lombok.Getter;

/**
 * @ClassName BizException
 * @Author Tevin
 * @DATE 2024/12/25 15:09
 * @Description TODO
 **/
@Getter
public class BizException extends RuntimeException {

    public IResultCode resultCode;
    public Object data;

    public BizException(IResultCode errorCode) {
        super(errorCode.getMsg());
        this.resultCode = errorCode;
    }

    public BizException(IResultCode errorCode, Object data) {
        super(errorCode.getMsg());
        this.resultCode = errorCode;
        this.data = data;
    }

    public BizException(String message) {
        super(message);
    }

    public BizException(String message, Throwable cause) {
        super(message, cause);
    }

    public BizException(Throwable cause) {
        super(cause);
    }
}

