package com.shanghaichengdi.common.util;

/**
 * @ClassName LocalDateUtil
 * @Author Tevin
 * @DATE 2024/12/25 15:03
 * @Description TODO
 **/

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class LocalDateTimeUtil {

    private static String defaultFormatter = "yyyy-MM-dd HH:mm:ss";
    public static final DateTimeFormatter YYYYMM = DateTimeFormatter.ofPattern("yyyyMM");
    public static final DateTimeFormatter yyMMdd = DateTimeFormatter.ofPattern("yyMMdd");
    public static final DateTimeFormatter YYYYMMDDHHMMSSSSS = DateTimeFormatter.ofPattern("yyyyMMddHHmmssSSS");

    public static String format(LocalDateTime localDateTime) {
        return format(localDateTime, defaultFormatter);
    }

    public static String format(LocalDateTime localDateTime, String formatter) {
        String format = localDateTime.format(DateTimeFormatter.ofPattern(formatter));
        return format;
    }

    public static String getYYYYMM() {
        LocalDate localDate = LocalDate.now();
        return localDate.format(YYYYMM);
    }

    public static String getYYMMDD(LocalDate now) {
        return now.format(yyMMdd);
    }

    public static String getYYYYMMDDHHMMSSSSS(LocalDateTime now) {
        return now.format(YYYYMMDDHHMMSSSSS);
    }

    public static LocalDateTime parse(String dateTimeString) {
        return parse(dateTimeString, defaultFormatter);
    }

    public static LocalDateTime parse(String dateTimeString, String formatter) {
        LocalDateTime parse = LocalDateTime.parse(dateTimeString, DateTimeFormatter.ofPattern(formatter));
        return parse;
    }
}
