package com.shanghaichengdi.dao.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 船舶进出港报告_船舶进出港报告
 * </p>
 *
 * @author Tevin
 * @since 2024-12-25
 */
@Getter
@Setter
@TableName("GHJG_BASICS.C_CB_SHIP_EEP_REPORT_REC")
public class CCbShipEepReportRec implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告主键
     */
    @TableId("REPORT_ID")
    private String reportId;

    /**
     * 已注册船舶主键
     */
    private String regShipId;

    /**
     * 船舶识别号
     */
    private String shipId;

    /**
     * 船舶登记号
     */
    private String shipRegNo;

    /**
     * 初次登记号
     */
    private String shipFirstregNo;

    /**
     * 船检登记号
     */
    private String shipInspectNo;

    /**
     * 中文船名
     */
    private String shipNameCn;

    /**
     * 英文船名
     */
    private String shipNameEn;

    /**
     * IMO编号
     */
    private String shipImo;

    /**
     * MMSI编号
     */
    private String mmsi;

    /**
     * 船舶呼号
     */
    private String shipCallsign;

    /**
     * 船籍港代码
     */
    private String regportCode;

    /**
     * 船旗国代码
     */
    private String flagStateCode;

    /**
     * 海船内河船标识
     */
    private String shipRegionType;

    /**
     * 船舶种类代码
     */
    private String shipTypeCode;

    /**
     * 总吨
     */
    private BigDecimal shipGrosston;

    /**
     * 净吨
     */
    private BigDecimal shipNetton;

    /**
     * 参考载重吨
     */
    private Long shipDwt;

    /**
     * 主机总功率
     */
    private BigDecimal mainenginePower;

    /**
     * 客位
     */
    private Integer shipPassengerNum;

    /**
     * 船舶总长
     */
    private BigDecimal shipLength;

    /**
     * 型宽
     */
    private BigDecimal shipBreadth;

    /**
     * 型深
     */
    private BigDecimal shipDepth;

    /**
     * 核定航线代码
     */
    private String lineCode;

    /**
     * 核定航区代码
     */
    private String areaCode;

    /**
     * 建造日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime constructionDate;

    /**
     * 船舶所有人
     */
    private String shipOwner;

    /**
     * 所有人地址
     */
    private String ownerAddress;

    /**
     * 所有人联系电话
     */
    private String ownerContactPhone;

    /**
     * 所有人法人代表
     */
    private String ownerCorporation;

    /**
     * 经营人
     */
    private String shipOperator;

    /**
     * 经营人地址
     */
    private String operatorAddress;

    /**
     * 经营人联系电话
     */
    private String operatorTelephone;

    /**
     * 经营人法人代表
     */
    private String operatorCorporation;

    /**
     * 业务编码
     */
    private String businessCode;

    /**
     * 报告编号
     */
    private String reportNo;

    /**
     * 机构代码
     */
    private String orgCode;

    /**
     * 港口名称
     */
    private String reportPortName;

    /**
     * 港口编号
     */
    private String reportPortCode;

    /**
     * 进出港类型
     */
    private Short arrivalOrLeave;

    /**
     * 进港报告主键
     */
    private String arrivalReportId;

    /**
     * 下一港口名称
     */
    private String nextPortName;

    /**
     * 下一港口编号
     */
    private String nextPortCode;

    /**
     * 报告时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime reportTime;

    /**
     * 申办人姓名
     */
    private String bidName;

    /**
     * 手机号码
     */
    private String mobilePhone;

    /**
     * 预抵/预离时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime expectTime;

    /**
     * 是否中途挂靠
     */
    private Short ifAnchored;

    /**
     * 前吃水
     */
    private BigDecimal draftForward;

    /**
     * 后吃水
     */
    private BigDecimal aftDraft;

    /**
     * 停靠泊位代码
     */
    private String berthCode;

    /**
     * 停靠泊位
     */
    private String berthName;

    /**
     * 其他人员
     */
    private Integer otherQuantity;

    /**
     * 实载货量
     */
    private BigDecimal actualCarryingCapacity;

    /**
     * 本港卸/装货量
     */
    private BigDecimal portCargo;

    /**
     * 实载危险品货量
     */
    private BigDecimal realDangerCargo;

    /**
     * 本港卸/装危险品货量
     */
    private BigDecimal portDangerCargo;

    /**
     * 实载客量
     */
    private Integer actualCapacity;

    /**
     * 本港下/上客量
     */
    private Integer portPassenger;

    /**
     * 实载车量
     */
    private Integer realVehicle;

    /**
     * 本港卸/装车量
     */
    private Integer portVehicle;

    /**
     * 驳船数量
     */
    private Short numOfBarge;

    /**
     * 本港解/加载驳船数量
     */
    private Integer portBarge;

    /**
     * 实载集装箱运量
     */
    private Short realContainerQay;

    /**
     * 本港卸/装集装箱运量
     */
    private BigDecimal portContainerQay;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 是否已撤销
     */
    private Short ifRevoke;

    /**
     * 数据来源
     */
    private String dataSources;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime creatingTime;

    /**
     * 创建人
     */
    private String sysCreatedBy;

    /**
     * 创建机构代码
     */
    private String sysOrg;

    /**
     * 创建部门代码
     */
    private String sysDept;

    /**
     * 最后修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime lastModifyDt;

    /**
     * 最后修改人
     */
    private String lastModifyPerson;

    /**
     * 航次日报
     */
    private Short voyageReport;

    /**
     * 航次数
     */
    private Short frequency;

    /**
     * 航行区段
     */
    private String navigationSection;

    /**
     * 上一港口名称
     */
    private String prePortName;

    /**
     * 上一港口编号
     */
    private String prePortCode;

    /**
     * 源系统代码
     */
    private String sourceCode;

    /**
     * 数据来源
     */
    private String dataOrgCode;

    /**
     * 创建日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createDate;

    /**
     * 创建记录的用户或进程
     */
    private String creator;

    /**
     * 最后更新日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime lastUpdateDate;

    /**
     * 最近更新的用户或进程
     */
    private String updateBy;

    /**
     * 删除标志1是0否
     */
    private String deleteFlag;

    /**
     * LANDING 到 共享库的同步状态
     */
    private String processStatus;
}
