package com.shanghaichengdi.dao.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 内河码头泊位字典表
 * </p>
 *
 * @author Tevin
 * @since 2024-12-25
 */
@Getter
@Setter
@TableName("GHJG_BASICS.DICT_DISTRICT_PORT")
public class DictDistrictPort implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId("CODE")
    private String code;

    /**
     * 泊位名称
     */
    private String berthname;

    /**
     * 简称
     */
    private String shortname;

    /**
     * 泊位编号
     */
    private String berthcode;

    /**
     * 码头航道水深
     */
    private Short depth;

    /**
     * 泊位等级
     */
    private Short berthgrade;

    /**
     * 限量TEU
     */
    private Short limitteu;

    /**
     * 靠泊长度
     */
    private Short length;

    /**
     * 所属码头
     */
    private String unitname;

    /**
     * 开放类别
     */
    private String opentype;

    /**
     * 是否有效
     */
    private String valid;

    /**
     * 所属大队
     */
    private String team;

    /**
     * 所属中队
     */
    private String lochus;
}
