package com.shanghaichengdi.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("NHDT.GPSINFO_REALTIME")
public class GpsinfoRealtime implements Serializable {
    /**
    * 船舶9位码
    */
    private String deviceid;

    /**
    * 各服务商按各自情况自主编号
    */
    private String messagecode;

    /**
    * 地理坐标X
    */
    private BigDecimal mapx;

    /**
    * 地理坐标Y
    */
    private BigDecimal mapy;

    /**
    * 速度--公里/小时
    */
    private BigDecimal velocity;

    /**
    * 方向--度，大于等于0度，小于360度
    */
    private BigDecimal direction;

    /**
    * GPS时间---yyyymmddhhmmss北京时间 24时制
    */
    private Date gpstime;

    /**
    * 空重车/船状态---0 空车/船
1 重车/船
2 未知

    */
    private BigDecimal boatstate;

    /**
    * 定位与否--0 未定位
1 定位

    */
    private BigDecimal isputcoord;

    /**
    * 报警状态--Bit0=1时，表示紧急报警
Bit1=1时，表示速度报警

    */
    private BigDecimal alarmstate;

    /**
    * ACC状态---0：ACC关
1：ACC开
2：未知

    */
    private BigDecimal accstate;

    /**
    * GPS纬度值
    */
    private BigDecimal latitude;

    /**
    * GPS经度值
    */
    private BigDecimal longitude;

    /**
    * 信息来源 1为gps    2为ais  3船讯网  
    */
    private Short infsource;

    /**
    * 船舶的航行状态
    */
    private String shipstate;

    public String getDeviceid() {
        return deviceid;
    }

    public void setDeviceid(String deviceid) {
        this.deviceid = deviceid;
    }

    public String getMessagecode() {
        return messagecode;
    }

    public void setMessagecode(String messagecode) {
        this.messagecode = messagecode;
    }

    public BigDecimal getMapx() {
        return mapx;
    }

    public void setMapx(BigDecimal mapx) {
        this.mapx = mapx;
    }

    public BigDecimal getMapy() {
        return mapy;
    }

    public void setMapy(BigDecimal mapy) {
        this.mapy = mapy;
    }

    public BigDecimal getVelocity() {
        return velocity;
    }

    public void setVelocity(BigDecimal velocity) {
        this.velocity = velocity;
    }

    public BigDecimal getDirection() {
        return direction;
    }

    public void setDirection(BigDecimal direction) {
        this.direction = direction;
    }

    public Date getGpstime() {
        return gpstime;
    }

    public void setGpstime(Date gpstime) {
        this.gpstime = gpstime;
    }

    public BigDecimal getBoatstate() {
        return boatstate;
    }

    public void setBoatstate(BigDecimal boatstate) {
        this.boatstate = boatstate;
    }

    public BigDecimal getIsputcoord() {
        return isputcoord;
    }

    public void setIsputcoord(BigDecimal isputcoord) {
        this.isputcoord = isputcoord;
    }

    public BigDecimal getAlarmstate() {
        return alarmstate;
    }

    public void setAlarmstate(BigDecimal alarmstate) {
        this.alarmstate = alarmstate;
    }

    public BigDecimal getAccstate() {
        return accstate;
    }

    public void setAccstate(BigDecimal accstate) {
        this.accstate = accstate;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public Short getInfsource() {
        return infsource;
    }

    public void setInfsource(Short infsource) {
        this.infsource = infsource;
    }

    public String getShipstate() {
        return shipstate;
    }

    public void setShipstate(String shipstate) {
        this.shipstate = shipstate;
    }
}