package com.shanghaichengdi.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.common.properties.SpaceCoordinatesSystemProperties;
import com.shanghaichengdi.dao.entity.GpsinfoHistory;
import com.shanghaichengdi.model.vo.BoatAISVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface GpsinfoHistoryMapper extends BaseMapper<GpsinfoHistory> {

    /**
     * 查询开始结束时间段内市内短驳船AIS历史数据
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return 返回船舶AIS list
     */
    List<BoatAISVO> getShotBargeAisHistory(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

    /**
     * 查询开始结束时间段内普通船AIS历史数据
     *
     * @param startTime
     * @param endTime
     * @param spaceCoordinatesSystemProperties
     * @return
     */
    List<BoatAISVO> getOrdinaryShipAisHistory(@Param("startTime") Date startTime, @Param("endTime") Date endTime, @Param("spaceCoordinatesSystemProperties") SpaceCoordinatesSystemProperties spaceCoordinatesSystemProperties);

}