package com.shanghaichengdi.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.shanghaichengdi.common.enums.IsValidEnum;
import com.shanghaichengdi.dao.entity.DictDistrictPort;
import com.shanghaichengdi.dao.mapper.DictDistrictPortMapper;
import com.shanghaichengdi.service.IDictDistrictPortService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 内河码头泊位字典表 服务实现类
 * </p>
 *
 * @author Tevin
 * @since 2024-12-25
 */
@Service
public class DictDistrictPortServiceImpl extends ServiceImpl<DictDistrictPortMapper, DictDistrictPort> implements IDictDistrictPortService {
    /**
     * 获取辖区大队配置字典
     * @return
     */
    @Cacheable(value = "dict_district_port" ,key = "targetClass + methodName")
    @Override
    public List<DictDistrictPort> getDictDistrictPortList(){
        return this.list(new QueryWrapper<DictDistrictPort>().lambda().
                eq(DictDistrictPort::getValid, IsValidEnum.VALID_1.getDesc()).ne(DictDistrictPort::getLochus, "注销"));
    }
}
