package com.shanghaichengdi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shanghaichengdi.common.properties.SpaceCoordinatesSystemProperties;
import com.shanghaichengdi.dao.entity.GpsinfoHistory;
import com.shanghaichengdi.dao.mapper.GpsinfoHistoryMapper;
import com.shanghaichengdi.model.vo.BoatAISVO;
import com.shanghaichengdi.service.IGpsinfoHistoryService;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @ClassName GpsinfoHistoryServiceImpl
 * @Author Tevin
 * @DATE 2024/12/27 10:27
 * @Description TODO
 **/
@Service
public class GpsinfoHistoryServiceImpl extends ServiceImpl<GpsinfoHistoryMapper, GpsinfoHistory> implements IGpsinfoHistoryService {

    @Resource
    private GpsinfoHistoryMapper gpsinfoHistoryMapper;

    @Resource
    private SpaceCoordinatesSystemProperties spaceCoordinatesSystemProperties;

    /**
     * 查询开始结束时间段内市内短驳船AIS历史数据
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return 返回船舶AIS list
     */
    @Override
    public List<BoatAISVO> getShotBargeAisHistory(@Param("startTime") Date startTime, @Param("endTime") Date endTime) {
        return gpsinfoHistoryMapper.getShotBargeAisHistory(startTime, endTime);
    }

    /**
     * 查询开始结束时间段内普通船舶AIS历史数据
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return 返回船舶AIS list
     */
    @Override
    public List<BoatAISVO> getOrdinaryShipAisHistory(@Param("startTime") Date startTime, @Param("endTime") Date endTime) {
        SpaceCoordinatesSystemProperties spaceCoordinatesSystemProperties = this.spaceCoordinatesSystemProperties;
        return gpsinfoHistoryMapper.getOrdinaryShipAisHistory(startTime, endTime, spaceCoordinatesSystemProperties);

    }

}

