package com.shanghaichengdi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shanghaichengdi.dao.entity.GpsinfoRealtime;
import com.shanghaichengdi.dao.mapper.GpsinfoRealtimeMapper;
import com.shanghaichengdi.model.vo.BoatAISVO;
import com.shanghaichengdi.service.IGpsinfoRealtimeService;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @ClassName GpsinfoRealtimeServiceImpl
 * @Author Tevin
 * @DATE 2024/12/27 10:28
 * @Description TODO
 **/
@Service
public class GpsinfoRealtimeServiceImpl extends ServiceImpl<GpsinfoRealtimeMapper, GpsinfoRealtime> implements IGpsinfoRealtimeService {
    @Resource
    private GpsinfoRealtimeMapper gpsinfoRealtimeMapper;

    /**
     * 查询开始结束时间段内市内短驳船AIS实时数据
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return 返回船舶AIS list
     */
    @Override
    public List<BoatAISVO> getShotBargeAisRealtime(@Param("startTime") Date startTime, @Param("endTime") Date endTime) {
        return gpsinfoRealtimeMapper.getShotBargeAisRealtime(startTime, endTime);
    }
}

