package com.shanghaichengdi.service.impl;

import com.shanghaichengdi.common.enums.RedisKeyEnum;
import com.shanghaichengdi.common.util.LocalDateTimeUtil;
import com.shanghaichengdi.service.ISerialService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.concurrent.TimeUnit;

/**
 * @ClassName SerialServiceImpl
 * @Author Tevin
 * @DATE 2025/1/7 13:55
 * @Description TODO
 **/
@Slf4j
@Service
public class SerialServiceImpl implements ISerialService {
    @Resource
    private StringRedisTemplate stringRedisTemplate;

    public String getSerialNumber(String prefix) {
        String dateStr = LocalDateTimeUtil.getYYMMDD(LocalDate.now());
        String redisKey = RedisKeyEnum.serial_num.name() + ":" + prefix + ":" + dateStr;
        Long increment = stringRedisTemplate.boundValueOps(redisKey).increment();
        //缓存一天
        stringRedisTemplate.expire(redisKey, 1, TimeUnit.DAYS);
        String s = String.valueOf(increment % 1000L);
        int x = 3 - s.length();
        StringBuilder sb = new StringBuilder();
        if (x > 0) {
            for (; x > 0; x--) {
                sb.append("0");
            }
        }
        sb.append(s);
        return prefix + dateStr + sb;
    }

    public String getCusNumber(String prefix) {
        String numberStr = LocalDateTimeUtil.getYYYYMMDDHHMMSSSSS(LocalDateTime.now());
        String dateStr = LocalDateTimeUtil.getYYMMDD(LocalDate.now());
        String redisKey = RedisKeyEnum.serial_num.name() + ":" + prefix + ":" + dateStr;
        Long increment = stringRedisTemplate.boundValueOps(redisKey).increment();
        stringRedisTemplate.expire(redisKey, 1, TimeUnit.DAYS);
        String s = String.valueOf(increment % 1000L);
        int x = 3 - s.length();
        StringBuilder sb = new StringBuilder();
        if (x > 0) {
            for (; x > 0; x--) {
                sb.append("0");
            }
        }
        sb.append(s);
        return prefix + numberStr + sb;
    }

    public String getTimeRandomNumber(String prefix) {
        return System.currentTimeMillis() + String.valueOf((int) (Math.random() * 100)) + "1";
    }
}
